Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.content.type
Class TypeIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<TypeID>
              com.bea.portal.tools.content.type.TypeIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public class TypeIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<TypeID>

Builds and parses `TypeID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`TypeIDBuilder()` Constructor.

Method Summary
`TypeID` | `createResourceID()` Create the `TypeID`.
`RepositoryID` | `getRepositoryID()` Deprecated use `getRepositoryInTypeModeID()`
`RepositoryInTypeModeID` | `getRepositoryInTypeModeID()` Get the `RepositoryInTypeModeID` of the repository.
`String` | `getTypeName()` Get the name of the workflow.
`TypeIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`TypeIDBuilder` | `setRepositoryID(RepositoryID repositoryID)` Deprecated use `setRepositoryInTypeModeID(RepositoryInTypeModeID)`
`TypeIDBuilder` | `setRepositoryInTypeModeID(RepositoryInTypeModeID repositoryInTypeModeID)` Change the `RepositoryInTypeModeID` of the repository.
`TypeIDBuilder` | `setTypeName(String name)` Change the name of the workflow.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeIDBuilder

    public TypeIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public TypeIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<TypeID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getRepositoryID

    public RepositoryID getRepositoryID()

  Deprecated use `getRepositoryInTypeModeID()`

  Get the `RepositoryID` of the repository.

  Returns
    the `RepositoryID` of the repository

### getRepositoryInTypeModeID

    public RepositoryInTypeModeID getRepositoryInTypeModeID()

  Get the `RepositoryInTypeModeID` of the repository.

  Returns
    the `RepositoryInTypeModeID` of the repository

### setRepositoryID

    public TypeIDBuilder setRepositoryID(RepositoryID repositoryID)

  Deprecated use `setRepositoryInTypeModeID(RepositoryInTypeModeID)`

  Change the `RepositoryID` of the repository.

  Parameters
    `repositoryID` - the `RepositoryID` of the repository
  Returns
    this `TypeIDBuilder`

### setRepositoryInTypeModeID

    public TypeIDBuilder setRepositoryInTypeModeID(RepositoryInTypeModeID repositoryInTypeModeID)

  Change the `RepositoryInTypeModeID` of the repository.

  Parameters
    `repositoryInTypeModeID` - the `RepositoryInTypeModeID` of the repository
  Returns
    this `TypeIDBuilder`

### getTypeName

    public String getTypeName()

  Get the name of the workflow.

  Returns
    the name of the workflow

### setTypeName

    public TypeIDBuilder setTypeName(String name)

  Change the name of the workflow.

  Parameters
    `name` - the name of the workflow
  Returns
    this `TypeIDBuilder`

### createResourceID

    public TypeID createResourceID()

  Create the `TypeID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<TypeID>`
  Returns
    the `TypeID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.